# NOI 大纲总结文档

## 制作目的

> 本项目开始于2024年，作为一个蒟蒻，想要对整个大纲的知识点有个完整性的概念总结，所以创建本项目来进行归档，并且使用开源协议将本项目开源，如果这个项目能帮到你，我很高兴。

## 撰写计划

### 优先撰写提高组内容，会录制视频，这里放一个大纲内容

1. 大纲
   1. 入门级（暂未开始）
   2. 提高级
      1. [基础知识与编程环境](./senior/1.%E5%9F%BA%E7%A1%80%E7%9F%A5%E8%AF%86%E4%B8%8E%E7%BC%96%E7%A8%8B%E7%8E%AF%E5%A2%83.md)
      2. [C++程序设计](./senior/2.C++程序设计.md)
         1. 类
         2. STL模板
      3. 数据结构
         1. 线性结构
         2. 集合与森林
         3. 常见图
         4. 哈希表
      4. 算法
         1. 复杂度分析
         2. 算法策略（离散化）
         3. 基础算法（分治算法）
         4. 排序算法
         5. 字符串相关算法（KMP）
         6. 搜索算法
         7. 图论算法
         8. 动态规划
      5. 数学与其它
         1. 初等数学
         2. 初等数论
         3. 离散与组合数学
         4. 线性代数
   3. NOI级（暂未开始）
